
const ИМЯ = "Главред | Glavred";


// // // //


ЗапуститьГлавреда = мир =>
{
    var модуль = мир.модули.модульПоИмени(ИМЯ);
    var составляющие = [
        "/пуск|run",
    ];
    for (var номер in составляющие)
    {
        var составляющая = составляющие[номер];
        модуль.исполнитьФайл(`${составляющая}.js`);
        модуль.исполнитьЧереду(мир, `${составляющая}.череда`);
    }
    мир.уведомить("пуск главреда");
};


// // // //


ИспользоватьМодульМакета = мир =>
{
    var модуль = мир.модули.модульПоИмени("UIK");
    var составляющие = [
        "/пример|sample",
    ];
    for (var номер in составляющие)
    {
        var составляющая = составляющие[номер];
        модуль.исполнитьФайл(`${составляющая}.js`);
        модуль.исполнитьЧереду(мир, `${составляющая}.череда`);
    }
};


// // // //


ЗагрузитьБиблиотекиГлавреда = мир =>
{
    var указатели = [
        "https://bitbucket.org/gitjs/jquery/raw/3.5.1/0000",
        "https://bitbucket.org/gitjs/uikit/raw/3.2.0/0000",
        "https://git.opengamestudio.org/kornerr/uik/raw/branch/master/0000",
        "https://git.opengamestudio.org/kornerr/glavred-faily-files/raw/branch/master/0000",
        "https://bitbucket.org/gitjs/ace/raw/1.4.12/0000",
        "https://git.opengamestudio.org/kornerr/glavred-redaktor-editor/raw/branch/master/0000",
    ];

    var сообщение = "Загрузка библиотек | Loading libraries";
    console.debug(сообщение, указатели);

    var html = "";
    for (var номер in указатели)
    {
        var указатель = указатели[номер];
        html += `<li>${указатель}</li>`;
    }
    document.body.innerHTML += `<p>${сообщение}</p><ul>${html}</ul>`;

    мир.модули.использовали.подписатьРаз(function() {
        мир.уведомить("ручной пуск");
        мир.уведомить("загрузили библиотеки главреда");
    });

    мир.модули.использовать(указатели);
};

